// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
define([ 'hp/services/REST', 'jquery' ], function(REST) {  "use strict";

    return {
        /**
        * Updates the public Key
        *
        * @param {Object}
        *          public key
        * @params {Object} handlers with error and success.
        */
        updatePublicKey : function(publicKey, handlers) {
            REST.putObject('/rest/appliance/firmware/verificationKey', publicKey, null,
                handlers);
        },

        getPublicKey : function(handlers) {
            REST.getURI('/rest/appliance/firmware/verificationKey', handlers);
        }

    };
});